package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.base.bean.ExamRecordQuestions;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;

/**
 * @author chenken
 *
 */
public interface ExamRecordQuestionsService {

    /**
     * 保存
     * @param timeout   秒
     */
    public void saveExamRecordQuestions(Long examRecordDataId,ExamRecordQuestions questions);

    /**
     * 获取
     * @param examRecordDataId
     * @return
     */
    public ExamRecordQuestions getExamRecordQuestions(Long examRecordDataId);

    /**
     * 删除
     * @param examRecordDataId
     */
    public void deleteExamRecordQuestions(Long examRecordDataId);

    public ExamRecordQuestions createExamRecordQuestions(Long examRecordDataId, DefaultPaper defaultPaper);
}
